Subject: Re: Camp apache does not serve -- OT
From: Stipe Tolj <[email-masked]>
To: "S. L." <[email-masked]>
Cc: [email-masked]
Date: Wed, 24 Oct 2001 09:07:51 +0200

> I'm still using win98se as building and testing workstation platform (a 32M
> RAM computer is not a good solution neither for NT/w2k nor for games :), and
> the build of apache_1.3.20 w/ --auto-import enabled ld (not the one from
> sourceforge but the one from latest cygwin distribution --
> binutils-20011002-1.tar.bz2). Everything builds ok, and also starts, but ...

Please read http://www.student.uni-koeln.de/cygwin/News#040799 for
more information on running Apache for Cygwin on Win9x.

But keep in mind (as stated in the htdocs/manual/cygwin.html) we
support _only_ WinNT based Win32 platforms explicity, because I don't
have any operating Win9x system.

If you contribute code that fixes problems on Win9x, it's highly
welcome and I will integrate it.

> 1. On w98se, apache doesn't fork, and doesn't serve, here's the error_log
> excerpt:
>   -422639505 [main] httpd 302543 sync_with_child: child -356867(0x394) died
> before initialization with status code 0x1
>   -422637277 [main] httpd 302543 sync_with_child: *** child state child
> loading dlls
>   [Sun Oct 14 17:10:40 2001] [error] (11)Resource temporarily unavailable:
> fork: Unable to fork new process
>   C:\CYGWIN\USR\LOCAL\APACHE\BIN\HTTPD.EXE: *** couldn't allocate memory
> 0x10000(4128768) for  'C:\CYGWIN\USR\LOCAL\APACHE\LIBEXEC\MOD_ENV.DLL'
> alignment,
> Win32 error 8
> 
> "doesn't fork" means always it's just one instance of apache httpd
> executable and this error is popped up whenever a connection is attempted.

is this maybe a cygwin specific problem itself on Win9x, Chris, Robin?

> 2. On W2K everything seems to be ok (of course ;P )

yep, that's the development platform.

Stipe

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Münsterstr. 248
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/